load('Datenbank');

fig10=figure(10); fig10.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=1','pt3299'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:); %da L^2-Norm im Paper anders definiert wird
plot(p.branch(8,1:end-1900),p.branch(14,1:end-1900),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,end-1896),p.branch(14,end-1896),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-1890),p.branch(14,end-1890),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-1884),p.branch(14,end-1884),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,498+2),p.branch(14,498+2),'x','Color',[1 0 0],'MarkerSize',18,'LineWidth',4);
annotation(fig10,'textarrow',[0.44375 0.448583333333334],...
    [0.467015706806285 0.556329842931947],'Color',[1 0 0],'String',{'$S_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
p=loadp('Branches/tr_zeta_1_1,Bsp=1','fpt3'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:); 
plot(p.branch(8,end),p.branch(14,end),'x','Color',[1 0 0],'MarkerSize',18,'LineWidth',4);
annotation(fig10,'textarrow',[0.346354166666667 0.289583333333334],...
    [0.787434554973824 0.78743455497383],'Color',[1 0 0],'String',{'$E_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(p.branch(8,OptimalIndex(1,1)+2),p.branch(14,OptimalIndex(1,1)+2),'x','Color',[0 0 0],'MarkerSize',18,'LineWidth',4);
annotation(fig10,'textarrow',[0.652604166666667 0.648958333333333],...
    [0.668062827225137 0.575916230366501],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
p=loadp('Branches/tr_zeta_1_2,Bsp=1','pt100'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:); 
plot(p.branch(8,1:end-15),p.branch(14,1:end-15),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,end-11),p.branch(14,end-11),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-6),p.branch(14,end-6),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-1),p.branch(14,end-1),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
annotation(fig10,'textbox',[0.71 0.8 0.05 0.1],'String','(a)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([3.3, 5.6]);ylim([1/(2*pi)*0.5,1/(2*pi)*6.5]);
xlabel('$\zeta_0$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[4 5]);
title({'$d=0.1$, $f=2$ and $f_1^2=25\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);