load('Datenbank');

fig16=figure(16); fig16.WindowState = 'maximized';
p=loadp('Branches/tr_omega_1,Bsp=2','pt2399'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
set(gca,'XTick',[3 4 5]);
plot(p.branch(11,1:end),p.branch(14,1:end),'Color',[0.47 0.67 0.19],'LineWidth',4);  hold on;
plot(p.branch(11,OptimalIndex(2,2)+2),p.branch(14,OptimalIndex(2,2)+2),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig16,'textarrow',[0.646354166666667 0.640104166666667],...
    [0.363350785340315 0.282722513089006],'String',{'$B_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(p.branch(11,1),p.branch(14,1),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig16,'textarrow',[0.377083333333334 0.363020833333333],...
    [0.696335078534037 0.617801047120424],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig16,'textbox',[0.71 0.8 0.05 0.1],'String','(e)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlabel('$\omega$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
xlim([-0.015, 0.064]);ylim([1/(2*pi)*5.283,1/(2*pi)*5.347]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
title({'$d=0.25$, $f=2$ and $f_1^2=1\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);