load('Datenbank');

fig22=figure(22); fig22.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=3','fpt3'); foldnr=p.file.count; startnr=5098;
plot(1:1+foldnr-startnr,H(2,startnr:foldnr),'Color',[0 0.45 0.74],'LineWidth',4,'Marker','o','MarkerSize',0.1); hold on;
plot(1+OptimalIndex(3,1)-startnr,H(2,OptimalIndex(3,1)),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig22,'textarrow',[0.293229166666667 0.258333333333334],...
    [0.406282722513091 0.37277486910995],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1,H(2,startnr),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig22,'textarrow',[0.293749999999999 0.258854166666666],...
    [0.699476439790581 0.679581151832464],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$S_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+foldnr-startnr,H(2,foldnr),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig22,'textarrow',[0.738541666666667 0.776041666666667],...
    [0.871204188481686 0.881675392670159],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$E_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
pernr=8211; %hier wiederholt sich der omega-Loop
plot(linspace(1,1+foldnr-startnr,pernr),M(2,1:pernr),'LineWidth',4,'Color',[0.47 0.67 0.19],'Marker','o','MarkerSize',0.1);
plot(1,M(2,1),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig22,'textarrow',[0.734375 0.777083333333334],...
    [0.348691099476441 0.36649214659686],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+foldnr-startnr,M(2,pernr),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig22,'textarrow',[0.441666666666667 0.442708333333334],...
    [0.455497382198957 0.383246073298434],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+(OptimalIndex(3,2)-1)*(foldnr-startnr)/(pernr-1),M(2,OptimalIndex(3,2)),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18); 
annotation(fig22,'textarrow',[0.426041666666666 0.4265625],...
    [0.18952879581152 0.257591623036649],'String',{'$B_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig22,'textbox',[1-0.735 0.8 0.05 0.1],'String','(i)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([1, 1+foldnr-startnr]); ylim([0.095,0.225]);
ylabel('FWHM','Interpreter', 'latex'); 
xlabel('Position on branch','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[]); 
pbaspect([4 3 1]);
title({'$d=0.1$, $f=5$ and $f_1^2=50\%f^2$'},'Interpreter','latex');
