  close all; format compact; keep pphome; % clean up 

     OptimalFWHM=zeros(3,6);
     OptimalIndex=zeros(3,6);
     disp=[0.1 0.25 0.1]; 
     ftotal=[2 2 5]; 
     proz=[0.25 0.01 0.5];
     kmax=[1e5 1e5 5e6];
     steps(1,1)=3300; steps(1,2)=2400; 
     steps(2,1)=3300; steps(2,2)=2400;
     steps(3,1)=20000; steps(3,2)=20000;
     F=zeros(2,steps(1,1)-1); G=zeros(2,steps(1,2)-1); H=zeros(2,steps(2,1)-1); 
     K=zeros(2,steps(2,2)-1); L=zeros(2,steps(3,1)-1); M=zeros(2,steps(3,2)-1);


     for j=1:3
         
         d=disp(j);
         ftot=ftotal(j);
         zeta=ftot^2+1;
         f0=sqrt(1-proz(j))*ftot;
         p=[]; par=[d; zeta; f0; 0; 0; 1];  % Parameter: d,zeta,f0,f1,omega1,epsilon
         nx=500; p=LLEinit(p,0,2*pi,2*nx,par); p=setfn(p,['Branches/tr_f1,Bsp=' num2str(j)]); 
         f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+f0];
         start=fsolve(f,[0, 0]);
         u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par];
         p.sw.bcper=1; p=box2per(p);
         p.nc.ilam=4;
         p.usrlam=sqrt(proz(j))*ftot;
         p.nc.lammax=sqrt(proz(j))*ftot;
         p=my_cont(p,10000); 
         x=p.file.count;

         p=loadp(['Branches/tr_f1,Bsp=' num2str(j)],['pt' num2str(x-2)]); 
         p.nc.lammax=10000;
         p.usrlam=[];
         p.branch=p.branch(:,end);
         p=setfn(p,['Branches/tr_zeta_1_1,Bsp=' num2str(j)]); 
         p.nc.ilam=2;
         p.sol.ds=-p.sol.ds;
         p.file.count=0; p.file.fcount=1; p.file.bcount=1;
         while p.file.count==0; p=my_cont(p,steps(j,1)); p.sol.ds=p.sol.ds/10; end
         [OptimalFWHM(j,1),OptimalIndex(j,1),M]=FWHM2(1,steps(j,1)-1,['Branches/tr_zeta_1_1,Bsp=' num2str(j)],nx,kmax(j));
         if j==1; F=M; elseif j==2; G=M; else; H=M; end
         p=loadp(['Branches/tr_f1,Bsp=' num2str(j)],['pt' num2str(x-2)]); 
         p.branch=p.branch(:,end);
         p.nc.lammax=10000;
         p.usrlam=[];
         p=setfn(p,['Branches/tr_zeta_1_2,Bsp=' num2str(j)]); 
         p.nc.ilam=2;
         p.file.count=0; p.file.fcount=1; p.file.bcount=1;
         while p.file.count==0; p=my_cont(p,1000); p.sol.ds=p.sol.ds/10; end

         p=loadp(['Branches/tr_zeta_1_1,Bsp=' num2str(j)],['pt' num2str(OptimalIndex(j,1))]);
         p.nc.ilam=5;
         p=setfn(p,['Branches/tr_omega_1,Bsp=' num2str(j)]);
         p.file.count=0; p.file.fcount=1; p.file.bcount=1; 
         p.branch=p.branch(:,end);
         while p.file.count==0; p=my_cont(p,steps(j,2)); p.sol.ds=p.sol.ds/10; end
         [OptimalFWHM(j,2),OptimalIndex(j,2),M]=FWHM2(1,steps(j,2)-1,['Branches/tr_omega_1,Bsp=' num2str(j)],nx,kmax(j));
         if j==1; K=M; elseif j==2; L=M; end
         p=loadp(['Branches/tr_omega_1,Bsp=' num2str(j)],['pt' num2str(OptimalIndex(j,2))]); 
         par(5)=p.u(p.nu+5);

         p=[]; p=LLEinit(p,0,2*pi,2*nx,par); p=setfn(p,['Branches/tr_f1_2,Bsp=' num2str(j)]); 
         p.u=[u;v; par];
         p.sw.bcper=1; p=box2per(p);
         p.nc.ilam=4;
         p.usrlam=sqrt(proz(j))*ftot;
         p.nc.lammax=sqrt(proz(j))*ftot;
         while p.file.count==0; p=my_cont(p,10000); p.sol.ds=p.sol.ds/10; end
 
         p=loadp(['Branches/tr_f1_2,Bsp=' num2str(j)],['pt' num2str(p.file.count-2)]); 
         p.nc.lammax=10000;
         p.usrlam=[];
         p.branch=p.branch(:,end);
         p=setfn(p,['Branches/tr_zeta_2,Bsp=' num2str(j)]); 
         p.nc.ilam=2;
         p.sol.ds=-p.sol.ds;
         p.file.count=0; p.file.fcount=1; p.file.bcount=1;
         while p.file.count==0; p=my_cont(p,steps(j,1)); p.sol.ds=p.sol.ds/10; end
         [OptimalFWHM(j,3),OptimalIndex(j,3),~]=FWHM2(1,steps(j,1)-1,['Branches/tr_zeta_2,Bsp=' num2str(j)],nx,kmax(j));
         
         p=loadp(['Branches/tr_zeta_2,Bsp=' num2str(j)],['pt' num2str(OptimalIndex(j,3))]);
         p.nc.ilam=5;
         p=setfn(p,['Branches/tr_omega_2,Bsp=' num2str(j)]);
         p.file.count=0; p.file.fcount=1; p.file.bcount=1; 
         p.branch=p.branch(:,end);
         while p.file.count==0; p=my_cont(p,steps(j,2)); p.sol.ds=p.sol.ds/10; end
         [OptimalFWHM(j,4),OptimalIndex(j,4),~]=FWHM2(1,steps(j,2)-1,['Branches/tr_omega_2,Bsp=' num2str(j)],nx,kmax(j));
         p=loadp(['Branches/tr_omega_2,Bsp=' num2str(j)],['pt' num2str(OptimalIndex(j,4))]); 
         par(5)=p.u(p.nu+5);

         p=[]; p=LLEinit(p,0,2*pi,2*nx,par); p=setfn(p,['Branches/tr_f1_3,Bsp=' num2str(j)]); 
         p.u=[u;v; par];
         p.sw.bcper=1; p=box2per(p);
         p.nc.ilam=4;
         p.usrlam=sqrt(proz(j))*ftot;
         p.nc.lammax=sqrt(proz(j))*ftot;
         while p.file.count==0; p=my_cont(p,10000); p.sol.ds=p.sol.ds/10; end
 
         p=loadp(['Branches/tr_f1_3,Bsp=' num2str(j)],['pt' num2str(p.file.count-2)]); 
         p.nc.lammax=10000;
         p.usrlam=[];
         p.branch=p.branch(:,end);
         p=setfn(p,['Branches/tr_zeta_3,Bsp=' num2str(j)]); 
         p.nc.ilam=2;
         p.sol.ds=-p.sol.ds;
         p.file.count=0; p.file.fcount=1; p.file.bcount=1;
         while p.file.count==0; p=my_cont(p,steps(j,1)); p.sol.ds=p.sol.ds/10; end
         [OptimalFWHM(j,5),OptimalIndex(j,5),~]=FWHM2(1,steps(j,1)-1,['Branches/tr_zeta_3,Bsp=' num2str(j)],nx,kmax(j));
         
         p=loadp(['Branches/tr_zeta_3,Bsp=' num2str(j)],['pt' num2str(OptimalIndex(j,5))]);
         p.nc.ilam=5;
         p=setfn(p,['Branches/tr_omega_3,Bsp=' num2str(j)]);
         p.file.count=0; p.file.fcount=1; p.file.bcount=1; 
         p.branch=p.branch(:,end);
         while p.file.count==0; p=my_cont(p,steps(j,2)); p.sol.ds=p.sol.ds/10; end
         [OptimalFWHM(j,6),OptimalIndex(j,6),~]=FWHM2(1,steps(j,2)-1,['Branches/tr_omega_3,Bsp=' num2str(j)],nx,kmax(j));
         p=loadp(['Branches/tr_omega_3,Bsp=' num2str(j)],['pt' num2str(OptimalIndex(j,6))]); 
     
         
         
        save('Datenbank','OptimalIndex','OptimalFWHM','F','G','H','K','L','M');

   
     end 

