
width=100;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,Opt=3,width=100,nx=500,dsmax=1e^-2');
EndFWHM=[EndFWHM fliplr(EndFWHM(2:width))]; EndFWHM=[EndFWHM EndFWHM EndFWHM EndFWHM EndFWHM(1)]; EndFWHM1=EndFWHM;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,d=25e^-2,Opt=3,width=100,nx=500,dsmax=1e^-2');
EndFWHM=[EndFWHM fliplr(EndFWHM(2:width))]; EndFWHM=[EndFWHM EndFWHM EndFWHM EndFWHM EndFWHM(1)]; EndFWHM2=EndFWHM;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,kmax=5e6,f=5,Opt=3,nx=500,dsmax=1e^-2');
EndFWHM=[EndFWHM fliplr(EndFWHM(2:width))]; EndFWHM=[EndFWHM EndFWHM EndFWHM EndFWHM EndFWHM(1)]; EndFWHM3=EndFWHM;

C=linspace(0,2*pi,8*width+1);

for h=1:length(C)
    if ~any([1 2 11 21 31 41 51 61 71 81 91 101 111 121 131 141 151 161 171 181 191 200 201 202 211 221 231 241 251 261 271 281 291 301 311 321 331 341 351 361 371 381 391 400 401 402 411 421 421 431 441 451 461 471 481 491 501 511 521 531 541 551 561 571 581 591 600 601 602 611 621 631 641 651 661 671 681 691 701 711 721 731 741 751 761 771 781 791 800 801]==h)
        C(h)=-1;
    end
end
 

fig10=figure(10); fig10.WindowState = 'maximized';
plot(C, EndFWHM1,'.','MarkerSize',20,'Color','blue'); hold on;
plot(C, EndFWHM2,'.','MarkerSize',20,'Color','red'); hold on;
plot(C, EndFWHM3,'.','MarkerSize',20,'Color','green'); hold on;
xlim([0, 2*pi]);ylim([0,0.45]);
xlabel('$\varphi$','Interpreter', 'latex');
ylabel('Full-width at half-maximum','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[0 pi/4 pi/2 3/4*pi pi 5/4*pi 3/2*pi 7/4*pi 2*pi],'XTickLabel',{'$0$','$\frac{\pi}{4}$','$\frac{\pi}{2}$','$\frac{3\pi}{4}$','$\pi$','$\frac{5\pi}{4}$','$\frac{3\pi}{2}$','$\frac{7\pi}{4}$','$2\pi$'}); 
set(gca,'XTickLabelRotation',0);
%set(gca,'YTick',[0.26 0.28 0.3 0.32 0.34]);
annotation(fig10,'textbox',[0.665 0.81 0.05 0.1],'String','(c)',...
    'Interpreter','latex',...
    'FontSize',40,...
    'FitBoxToText','off',...
    'EdgeColor','none');
pbaspect([1 1 1]);