load('Datenbanken/Datenbank100per_90per_50per_d_1eminus1_f_2');

fig13=figure(13); fig13.WindowState = 'maximized';
p=loadp('Optimization_1/b1',['pt' num2str(OptIndex)]);
h1=p.u(1:p.np); fliph1=flipud(h1); h2=p.u(p.np+1:2*p.np); fliph2=flipud(h2);
A=[h1;fliph1(2:end)];B=[h2;fliph2(2:end)]; C=A.^2+B.^2;
D=linspace(-pi,pi,1001);
plot(D,[C(251:end); C(2:251)],'LineWidth',4,'Color','red'); hold on; 
p=loadp('Optimization_1/tr_omega_3,phi=0.32175',['pt' num2str(OptimalIndex(41,6))]);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A(1:p.nu/2+1).^2+B(1:p.nu/2+1).^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color','green'); 
p=loadp('Optimization_1/tr_omega_3,phi=0.7854',['pt' num2str(OptimalIndex(100,6))]);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A(1:p.nu/2+1).^2+B(1:p.nu/2+1).^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color','blue'); 
annotation(fig13,'textbox',[0.71 0.8 0.05 0.1],'String','(a)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([-pi, pi]); ylim([0,21]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[-pi  -pi/2 0 pi/2 pi],'XTickLabel',{'$-\pi$','$-\frac{\pi}{2}$','$0$','$\frac{\pi}{2}$','$\pi$'}); 
xlabel('$s$','Interpreter', 'latex');
ylabel('$|u|^2$','Interpreter', 'latex');
title({'$d=0.1$ and $f=2$'},'Interpreter','latex');
legend({'$f_0^2=100\%f^2$','$f_0^2=90\%f^2$','$f_0^2=50\%f^2$'},'Position',[0.34 0.65 0.06 0.25],'Interpreter','latex');
pbaspect([4 3 1]);