load('Datenbanken/Datenbank100per_90per_50per_d_1eminus1_f_2');

fig14=figure(14); fig14.WindowState = 'maximized';
p=loadp('Optimization_1/b1',['pt' num2str(OptIndex)]);
h1=p.u(1:p.np); fliph1=flipud(h1); h2=p.u(p.np+1:2*p.np); fliph2=flipud(h2);
A=[h1;fliph1(2:end)];B=[h2;fliph2(2:end)];
a=A(1:end-1)+1i*B(1:end-1);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [1 0 0],'LineWidth',2,'MarkerSize',40); hold on;
p=loadp('Optimization_1/tr_omega_3,phi=0.32175',['pt' num2str(OptimalIndex(41,6))]);
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [0 1 0],'LineWidth',2,'MarkerSize',40); 
p=loadp('Optimization_1/tr_omega_3,phi=0.7854',['pt' num2str(OptimalIndex(100,6))]);
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [0 0 1],'LineWidth',2,'MarkerSize',40); 
annotation(fig14,'textbox',[0.71 0.8 0.05 0.1],'String','(d)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([-20,20]);ylim([-5.35,-0.3]); 
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
xlabel('$k$','Interpreter', 'latex');
ylabel('$\log|\hat u_k|$','Interpreter', 'latex');
title({'$d=0.1$ and $f=2$'},'Interpreter','latex');
legend({'$f_0^2=100\%f^2$','$f_0^2=90\%f^2$','$f_0^2=50\%f^2$'},'Position',[0.278 0.7 0.17 0.186],'Interpreter','latex');
pbaspect([4 3 1]);