load('Datenbanken/DatenbankZweiteStudie_d_1e-1_kleinesForcing');
EndPCE1(1:78)=EndPCE; EndBW1(1:78)=EndBW; EndFWHM1(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_1e-1'); 
EndPCE1(79:1079)=EndPCE(1:1001); EndBW1(79:1079)=EndBW(1:1001); EndFWHM1(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_15e-2_kleinesForcing');
EndPCE2(1:78)=EndPCE; EndBW2(1:78)=EndBW; EndFWHM2(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_15e-2')
EndPCE2(79:1079)=EndPCE(1:1001); EndBW2(79:1079)=EndBW(1:1001); EndFWHM2(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_2e-1_kleinesForcing');
EndPCE3(1:78)=EndPCE; EndBW3(1:78)=EndBW; EndFWHM3(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_2e-1');
EndPCE3(79:1079)=EndPCE(1:1001); EndBW3(79:1079)=EndBW(1:1001); EndFWHM3(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_25e-2_kleinesForcing');
EndPCE4(1:78)=EndPCE; EndBW4(1:78)=EndBW; EndFWHM4(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_25e-2');
EndPCE4(79:1079)=EndPCE(1:1001); EndBW4(79:1079)=EndBW(1:1001); EndFWHM4(79:1079)=EndFWHM(1:1001);
C=linspace(0.0158,15,1079);

lw=4; ms=20; fs=40;

fig11=figure(11); fig11.WindowState = 'maximized';
plot(C, EndBW1,'.','MarkerSize',ms,'Color','blue'); hold on;
plot(C, EndBW2,'.','MarkerSize',ms,'Color','green'); hold on;
plot(C, EndBW3,'.','MarkerSize',ms,'Color','black'); hold on;
plot(C, EndBW4,'.','MarkerSize',ms,'Color','red'); hold on;
xlim([0, 10]); ylim([0,55]);
xlabel('$f$','Interpreter', 'latex');
ylabel('Comb bandwidth','Interpreter', 'latex');
set(gca,'FontSize', fs);
set(gca,'TickLabelInterpreter','latex');
annotation(fig11,'textbox',...
    [0.34 0.496335078534033 0.129729166666666 0.0722513089005241],...
    'String','$d=0.1,...,0.25$',...
    'Interpreter','latex',...
    'FontSize',30,...
    'FitBoxToText','off',...
    'EdgeColor','none');
annotation(fig11,'arrow',[0.472395833333333 0.540625],...
    [0.514183246073298 0.339267015706806],'LineWidth',2,'HeadWidth',20,...
    'HeadLength',20);
annotation(fig11,'textbox',[0.33 0.8 0.05 0.1],'String','(b)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
pbaspect([1 1 1]);

%Lösche alle Punkte mit y-Wert Null
hL = findobj(gcf,'Type','Line');
for ind1 = 1:numel(hL)
    ind2rem = hL(ind1).YData == 0;
    hL(ind1).XData(ind2rem) = [];
    hL(ind1).YData(ind2rem) = [];
end