load('Datenbanken/DatenbankZweiteStudie_d_1e-1_kleinesForcing');
EndPCE1(1:78)=EndPCE; EndBW1(1:78)=EndBW; EndFWHM1(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_1e-1'); 
EndPCE1(79:1079)=EndPCE(1:1001); EndBW1(79:1079)=EndBW(1:1001); EndFWHM1(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_15e-2_kleinesForcing');
EndPCE2(1:78)=EndPCE; EndBW2(1:78)=EndBW; EndFWHM2(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_15e-2')
EndPCE2(79:1079)=EndPCE(1:1001); EndBW2(79:1079)=EndBW(1:1001); EndFWHM2(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_2e-1_kleinesForcing');
EndPCE3(1:78)=EndPCE; EndBW3(1:78)=EndBW; EndFWHM3(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_2e-1');
EndPCE3(79:1079)=EndPCE(1:1001); EndBW3(79:1079)=EndBW(1:1001); EndFWHM3(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_25e-2_kleinesForcing');
EndPCE4(1:78)=EndPCE; EndBW4(1:78)=EndBW; EndFWHM4(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_25e-2');
EndPCE4(79:1079)=EndPCE(1:1001); EndBW4(79:1079)=EndBW(1:1001); EndFWHM4(79:1079)=EndFWHM(1:1001);
C=linspace(0.0158,15,1079);

lw=4; ms=20; fs=40;

fig10=figure(10); fig10.WindowState = 'maximized';
plot(C, EndPCE1,'LineWidth',lw,'Color','blue'); hold on;
plot(C, EndPCE2,'LineWidth',lw,'Color','green'); hold on;
plot(C, EndPCE3,'LineWidth',lw,'Color','black'); hold on;
plot(C, EndPCE4,'LineWidth',lw,'Color','red'); hold on;
xlim([0, 10]); ylim([0,0.499]);
xlabel('$f$','Interpreter', 'latex');
ylabel('Power conversion efficiency','Interpreter', 'latex');
set(gca,'FontSize', fs);
set(gca,'TickLabelInterpreter','latex');
annotation(fig10,'textbox',...
    [0.434854166666667 0.424083769633508 0.129729166666666 0.0722513089005241],...
    'String','$d=0.1,...,0.25$',...
    'Interpreter','latex',...
    'FontSize',30,...
    'FitBoxToText','off',...
    'EdgeColor','none');
annotation(fig10,'arrow',[0.416145833333333 0.4609375],...
    [0.300570680628272 0.440837696335079],'LineWidth',2,'HeadWidth',20,...
    'HeadLength',20);
annotation(fig10,'textbox',[0.65 0.8 0.05 0.1],'String','(a)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
pbaspect([1 1 1]);