%% Generate Data

tic 

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_1e-1.mat')
    GenerateDataBlueCurves;
end

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_15e-2.mat')
    GenerateDataGreenCurves;
end

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_2e-1.mat')
    GenerateDataBlackCurves; 
end

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_25e-2.mat')
    GenerateDataRedCurves; 
end

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_1e-1_kleinesForcing.mat')
    GenerateDataBlueCurvesSmallForcing;
end

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_15e-2_kleinesForcing.mat')
    GenerateDataGreenCurvesSmallForcing;
end

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_2e-1_kleinesForcing.mat')
    GenerateDataBlackCurvesSmallForcing; 
end

if ~isfile('Datenbanken/DatenbankZweiteStudie_d_25e-2_kleinesForcing.mat')
    GenerateDataRedCurvesSmallForcing; 
end

toc

%% Plot Figure 5a
Figure5a;

%% Plot Figure 5b
Figure5b;

%% Plot Figure 5c
Figure5c;