fig11=figure(11); fig11.WindowState = 'maximized';
p=loadp('k1=2/Branches/b1_50per_glue',['pt' num2str(626)]);
D=linspace(-pi,pi,p.nu/2+1);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,C,'LineWidth',4,'Color',[1 0 0]); hold on;
p=loadp('k1=3/Branches/b1_50per_glue',['pt' num2str(609)]);
D=linspace(-pi,pi,p.nu/2+1);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color',[0 1 0]); hold on;
p=loadp('k1=4/Branches/b1_50per_glue',['pt' num2str(580)]); 
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,C,'LineWidth',4,'Color',[0 0 1]); 
annotation(fig11,'textbox',[0.72 0.8 0.05 0.1],'String','(b)',...  
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([-pi, pi]); ylim([0,0.45]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[-pi  -pi/2 0 pi/2 pi],'XTickLabel',{'$-\pi$','$-\frac{\pi}{2}$','$0$','$\frac{\pi}{2}$','$\pi$'}); 
xlabel('$s$','Interpreter', 'latex');
ylabel('$|u|^2$','Interpreter', 'latex');
legend({'$k_1=2$','$k_1=3$','$k_1=4$'},'Position',[0.287 0.7 0.06 0.25],'Interpreter','latex','FontSize',30);
pbaspect([4 3 1]);