fig12=figure(12); fig12.WindowState = 'maximized';
p=loadp('k1=2/Branches/b1_50per_glue',['pt' num2str(626)]);
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [1 0 0],'LineWidth',2,'MarkerSize',40); hold on;
p=loadp('k1=3/Branches/b1_50per_glue',['pt' num2str(609)]);
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [0 1 0],'LineWidth',2,'MarkerSize',40); 
p=loadp('k1=4/Branches/b1_50per_glue',['pt' num2str(580)]); 
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [0 0 1],'LineWidth',2,'MarkerSize',40); 
annotation(fig12,'textbox',[0.72 0.8 0.05 0.1],'String','(c)',... 
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([-20,20]);ylim([-4.5,-1.01]); 
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
xlabel('$k$','Interpreter', 'latex');
ylabel('$\log|\hat u_k|$','Interpreter', 'latex');
legend({'$k_1=2$','$k_1=3$','$k_1=4$'},'Position',[0.287 0.7 0.06 0.25],'Interpreter','latex','FontSize',30);
pbaspect([4 3 1]);