fig12=figure(12); fig12.WindowState = 'maximized';
load('OptimalIndex');
D=linspace(-pi,pi,p.nu/2+1);
plot(D,[z1(501:end); z1(2:501)],'LineWidth',4,'Color',[0 0 1]); hold on;
annotation(fig12,'textbox',[0.71 0.8 0.05 0.1],'String','(c)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([-pi, pi]); ylim([0,2.4]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[-pi  -pi/2 0 pi/2 pi],'XTickLabel',{'$-\pi$','$-\frac{\pi}{2}$','$0$','$\frac{\pi}{2}$','$\pi$'}); 
xlabel('$s$','Interpreter', 'latex');
ylabel('$|u|^2$','Interpreter', 'latex');
legend({'$Z$'},'Position',[0.28 0.826 0.049 0.0645],'Interpreter','latex');
title({'$k_1=2$'},'Interpreter','latex');
pbaspect([4 3 1]);