load('Datenbank');

fig13=figure(13); fig13.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=1',['pt' num2str(OptimalIndex(1,1))]);
D=linspace(-pi,pi,p.nu/2+1);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color',[1 0 0]); hold on;
p=loadp('Branches/tr_omega_1,Bsp=1',['pt' num2str(OptimalIndex(1,2))]);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color',[0 1 0]); 
p=loadp('Branches/tr_zeta_2,Bsp=1',['pt' num2str(OptimalIndex(1,3))]); 
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color',[0 0 1]); 
p=loadp('Branches/tr_omega_2,Bsp=1',['pt' num2str(OptimalIndex(1,4))]);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color',[1 0 1]); 
annotation(fig13,'textbox',[0.71 0.8 0.05 0.1],'String','(a)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([-pi, pi]); ylim([0,19]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[-pi  -pi/2 0 pi/2 pi],'XTickLabel',{'$-\pi$','$-\frac{\pi}{2}$','$0$','$\frac{\pi}{2}$','$\pi$'}); 
xlabel('$s$','Interpreter', 'latex');
ylabel('$|u|^2$','Interpreter', 'latex');
title({'$d=0.1$, $f=2$ and $f_1^2=25\%f^2$'},'Interpreter','latex');
legend({'$A_1$','$B_1$','$A_2$','$B_2$'},'Position',[0.29 0.63 0.06 0.25],'Interpreter','latex');
pbaspect([4 3 1]);