load('Datenbank');

fig24=figure(24); fig24.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=3',['pt' num2str(OptimalIndex(3,1))]);
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [1 0 0],'LineWidth',2,'MarkerSize',40); hold on;
p=loadp('Branches/tr_omega_1,Bsp=3',['pt' num2str(OptimalIndex(3,2))]);
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [0 1 0],'LineWidth',2,'MarkerSize',40); 
p=loadp('Branches/tr_zeta_2,Bsp=3',['pt' num2str(OptimalIndex(3,3))]); 
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [0 0 1],'LineWidth',2,'MarkerSize',40); 
p=loadp('Branches/tr_omega_2,Bsp=3',['pt' num2str(OptimalIndex(3,4))]);
a=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
ahat=myfft(a);
plot(-500:499,log(abs(ahat)),'.-', 'Color', [1 0 1],'LineWidth',2,'MarkerSize',40); 
annotation(fig24,'textbox',[0.71 0.8 0.05 0.1],'String','(f)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');xlim([-20,20]);ylim([-3.27,-0.7]); 
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
xlabel('$k$','Interpreter', 'latex');
ylabel('$\log|\hat u_k|$','Interpreter', 'latex'); 
set(gca,'YTick',[-3 -2 -1]);
legend({'$A_1$','$B_1$','$A_2$','$B_2$'},'Position',[0.29 0.63 0.06 0.25],'Interpreter','latex');
pbaspect([4 3 1]);
title({'$d=0.1$, $f=5$ and $f_1^2=50\%f^2$'},'Interpreter','latex');