load('Datenbank');

fig15=figure(15); fig15.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=2','pt3299'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(8,1:end-1550),p.branch(14,1:end-1550),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,end-1540),p.branch(14,end-1540),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-1525),p.branch(14,end-1525),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-1508),p.branch(14,end-1508),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,650+2),p.branch(14,650+2),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig15,'textarrow',[0.456770833333334 0.45625],...
    [0.517277486910998 0.583246073298436],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$S_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
p=loadp('Branches/tr_zeta_1_1,Bsp=2','fpt3'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(8,end),p.branch(14,end),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig15,'textarrow',[0.328125 0.288020833333333],...
    [0.78219895287959 0.782198952879586],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$E_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(p.branch(8,OptimalIndex(2,1)+2),p.branch(14,OptimalIndex(2,1)+2),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig15,'textarrow',[0.665625 0.661979166666666],...
    [0.70052356020943 0.608376963350794],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
p=loadp('Branches/tr_zeta_1_2,Bsp=2','pt100'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(8,1:end-20),p.branch(14,1:end-20),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,end-15),p.branch(14,end-15),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-9),p.branch(14,end-9),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-3),p.branch(14,end-3),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
annotation(fig15,'textbox',[0.71 0.8 0.05 0.1],'String','(b)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([2.7, 5.6]);ylim([1/(2*pi)*0.5,1/(2*pi)*8.79]);
xlabel('$\zeta_0$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[3 4 5]); 
title({'$d=0.25$, $f=2$ and $f_1^2=1\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);