load('Datenbank');

fig20=figure(20); fig20.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=3','pt19999'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(8,1:10000-130),p.branch(14,1:10000-130),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,10000-90),p.branch(14,10000-90),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,10000-40),p.branch(14,10000-40),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,10000+10),p.branch(14,10000+10),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,5098+2),p.branch(14,5098+2),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig20,'textarrow',[0.422916666666667 0.4203125],...
    [0.484816753926713 0.552879581151833],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$S_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
p=loadp('Branches/tr_zeta_1_1,Bsp=3','fpt3'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(8,end),p.branch(14,end),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig20,'textarrow',[0.327604166666667 0.289583333333333],...
    [0.812565445026189 0.83560209424084],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$E_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(p.branch(8,OptimalIndex(3,1)+2),p.branch(14,OptimalIndex(3,1)+2),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig20,'textarrow',[0.55 0.549479166666667],...
    [0.69738219895288 0.614659685863876],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
p=loadp('Branches/tr_zeta_1_2,Bsp=3','pt999'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(8,1:end-890),p.branch(14,1:end-890),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,end-850),p.branch(14,end-850),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-800),p.branch(14,end-800),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-750),p.branch(14,end-750),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
annotation(fig20,'textbox',[0.71 0.8 0.05 0.1],'String','(c)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([6, 28]);ylim([1/(2*pi)*0.01,1/(2*pi)*9.9]);
xlabel('$\zeta_0$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
title({'$d=0.1$, $f=5$ and $f_1^2=50\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);
