load('Datenbank');

fig11=figure(11); fig11.WindowState = 'maximized';
p=loadp('Branches/tr_omega_1,Bsp=1','pt2399'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(11,1:end),p.branch(14,1:end),'Color',[0.47 0.67 0.19],'LineWidth',4);  hold on;
plot(p.branch(11,OptimalIndex(1,2)+2),p.branch(14,OptimalIndex(1,2)+2),'x','Color',[0 0 0],'MarkerSize',18,'LineWidth',4);
annotation(fig11,'textarrow',[0.615625 0.561979166666667],...
    [0.263874345549738 0.251308900523561],'String',{'$B_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(p.branch(11,1),p.branch(14,1),'x','Color',[0 0 0],'MarkerSize',18,'LineWidth',4);
annotation(fig11,'textarrow',[0.358333333333334 0.321354166666667],...
    [0.702617801047124 0.730890052356032],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);xlabel('$\omega$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
xlim([-0.015, 0.14]);ylim([1/(2*pi)*3.62,1/(2*pi)*3.78]);
annotation(fig11,'textbox',[0.71 0.8 0.05 0.1],'String','(d)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');set(gca,'FontSize', 40); 
%set(gca,'YTick',[0.58 0.59 0.6]);
set(gca,'TickLabelInterpreter','latex');
title({'$d=0.1$, $f=2$ and $f_1^2=25\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);