load('Datenbank');

fig21=figure(21); fig21.WindowState = 'maximized';
p=loadp('Branches/tr_omega_1,Bsp=3','pt19999'); 
p.branch(14,:)=1/(2*pi)*p.branch(14,:);
plot(p.branch(11,1:end),p.branch(14,1:end),'Color',[0.47 0.67 0.19],'LineWidth',4);  hold on;
plot(p.branch(11,2595+2),p.branch(14,2595+2),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig21,'textarrow',[0.526562500000001 0.530208333333333],...
    [0.322513089005245 0.24083769633508],'String',{'$B_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(p.branch(11,1),p.branch(14,1),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig21,'textarrow',[0.294270833333333 0.306770833333333],...
    [0.722513089005236 0.641884816753929],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig21,'textbox',[0.71 0.8 0.05 0.1],'String','(f)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlabel('$\omega$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
xlim([-0.02, 0.22]);ylim([1/(2*pi)*5.82,1/(2*pi)*5.876]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
pbaspect([4 3 1]);
title({'$d=0.1$, $f=5$ and $f_1^2=50\%f^2$'},'Interpreter','latex');