load('Datenbank');

fig12=figure(12); fig12.WindowState = 'maximized';
p=loadp('Branches/tr_zeta_1_1,Bsp=1','fpt3'); foldnr=p.file.count; startnr=498;
plot(1:1+foldnr-startnr,F(2,startnr:foldnr),'Color',[0 0.45 0.74],'LineWidth',4,'Marker','o','MarkerSize',0.1); hold on;
plot(1+OptimalIndex(1,1)-startnr,F(2,OptimalIndex(1,1)),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig12,'textarrow',[0.295833333333334 0.258333333333334],...
    [0.34450261780105 0.337172774869121],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1,F(2,startnr),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig12,'textarrow',[0.3 0.260416666666667],...
    [0.871204188481677 0.868062827225143],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$S_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+foldnr-startnr,F(2,foldnr),'x','Color',[1 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig12,'textarrow',[0.7640625 0.780729166666666],...
    [0.495287958115186 0.424083769633511],...
    'Color',[0.850980392156863 0.325490196078431 0.0980392156862745],...
    'String',{'$E_1$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
pernr=2354; %hier wiederholt sich der omega-Loop
plot(linspace(1,1+foldnr-startnr,pernr),K(2,1:pernr),'Color',[0.47 0.67 0.19],'LineWidth',4,'Marker','o','MarkerSize',0.1);
plot(1,K(2,1),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig12,'textarrow',[0.738541666666667 0.778125],...
    [0.291099476439793 0.335078534031415],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+foldnr-startnr,K(2,pernr),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18);
annotation(fig12,'textarrow',[0.525520833333333 0.5265625],...
    [0.418848167539269 0.346596858638746],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
plot(1+(OptimalIndex(1,2)-1)*(foldnr-startnr)/(pernr-1),K(2,OptimalIndex(1,2)),'x','Color',[0 0 0],'LineWidth',4,'MarkerSize',18); 
annotation(fig12,'textarrow',[0.418229166666667 0.418229166666667],...
    [0.263874345549739 0.188481675392671],'String',{'$B_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig12,'textbox',[0.72 0.8 0.05 0.1],'String','(g)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
set(gca,'FontSize', 40); 
xlim([1,1+foldnr-startnr]); ylim([0.195,0.465]);
ylabel('FWHM','Interpreter', 'latex'); 
xlabel('Position on branch','Interpreter', 'latex');
set(gca,'FontSize', 40); 
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[]); 
title({'$d=0.1$, $f=2$ and $f_1^2=25\%f^2$'},'Interpreter','latex');
pbaspect([4 3 1]);