 close all; format compact; keep pphome; % clean up 
 
 if not(isfolder('Datenbanken')); mkdir('Datenbanken'); end

 width=100; % Zerlege das Intervall [0,pi/4] in so viele Teile
 C=zeros(1,width+1); 
 EndFWHM=zeros(1,width+1); 
 EndPCE=zeros(1,width+1); 
 EndBW=zeros(1,width+1); 
 OptimalIndex=zeros(width,6);
 OptimalFWHM=zeros(width,6);
 EndZeta=zeros(1,width+1);
 EndOmega=zeros(1,width+1);
 

%1-Moden-Fall 
 disp=0.1; ftot=2; zeta=ftot^2+1; phi=0;
 p=[]; par=[disp; zeta; ftot; 0; 0; 1];  % Parameter: d,zeta,f0,f1,omega_1,epsilon
 nx=500; p=cLLinit(p,0,pi,nx,par); p.sol.ds=-0.01; p=setfn(p,'Optimization/tr'); 
 f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+ftot*cos(phi)];
 start=fsolve(f,[0, 0]);
 u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par];
 p.nc.ilam=2;
 p=my_cont(p,250);
 p=swibra('Optimization/tr','bpt1','Optimization/b1'); p=my_cont(p,400);
 [OptFWHM,OptIndex]=FWHM1Mode2(1,399,'Optimization/b1',nx);
 
 p=loadp('Optimization/b1',['pt' num2str(OptIndex)]); 
 h1=p.u(1:p.np); fliph1=flipud(h1); h2=p.u(p.np+1:2*p.np); fliph2=flipud(h2); parh=p.u(p.nu+1:end);
 p=cLLinit(p,0,2*pi,2*nx,parh);
 u=[h1;fliph1(2:end)];v=[h2;fliph2(2:end)];p.u=[u;v;parh]; p.sw.bcper=1; p=box2per(p);
 EndFWHM(1)=OptFWHM;
 EndPCE(1)=PCE(p,nx);
 EndBW(1)=BW(p,nx); 
 EndZeta(1)=p.u(p.nu+2);
 

 
%2-Moden-Fall 
 
 for h=[1 10 20 30 40 50 60 70 80 90 100]
     phi=h/width*pi/4; 
     p=[]; par=[disp; zeta; ftot*cos(phi); 0; 0; 1];  % Parameter: d,zeta,f0,f1,omega1,epsilon
     nx=500; p=cLLinit(p,0,2*pi,2*nx,par); p=setfn(p,['Optimization/tr_f1_1,phi=' num2str(phi)]); 
     f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+ftot*cos(phi)];
     start=fsolve(f,[0, 0]);
     u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par];
     p.sw.bcper=1; p=box2per(p);
     p.nc.ilam=4;
     p.usrlam=ftot*sin(phi);
     p.nc.lammax=ftot*sin(phi);
     while p.file.count==0; p=my_cont(p,10000); p.sol.ds=p.sol.ds/10; end
 
     p=loadp(['Optimization/tr_f1_1,phi=' num2str(phi)],['pt' num2str(p.file.count-2)]); 
     p.nc.lammax=10000;
     p.usrlam=[];
     p.branch=p.branch(:,end);
     p=setfn(p,['Optimization/tr_zeta_1,phi=' num2str(phi)]); 
     p.nc.ilam=2;
     p.sol.ds=-p.sol.ds;
     p.file.count=0; p.file.fcount=1; p.file.bcount=1;
     while p.file.count==0; p=my_cont(p,2100); p.sol.ds=p.sol.ds/10; end
     [OptimalFWHM(h,1),OptimalIndex(h,1)]=FWHM2(1,2099,['Optimization/tr_zeta_1,phi=' num2str(phi)],nx);
  
     p=loadp(['Optimization/tr_zeta_1,phi=' num2str(phi)],['pt' num2str(OptimalIndex(h,1))]);
     p.nc.ilam=5;
     p.branch=p.branch(:,end);
     p=setfn(p,['Optimization/tr_omega_1,phi=' num2str(phi)]);
     p.file.count=0; p.file.fcount=1; p.file.bcount=1; 
     while p.file.count==0; p=my_cont(p,7500); p.sol.ds=p.sol.ds/10; end
     [OptimalFWHM(h,2),OptimalIndex(h,2)]=FWHM2(1,7499,['Optimization/tr_omega_1,phi=' num2str(phi)],nx);
     p=loadp(['Optimization/tr_omega_1,phi=' num2str(phi)],['pt' num2str(OptimalIndex(h,2))]); 
     par(5)=p.u(p.nu+5);
  
     p=[]; p=cLLinit(p,0,2*pi,2*nx,par); p=setfn(p,['Optimization/tr_f1_2,phi=' num2str(phi)]); 
     p.u=[u;v; par];
     p.sw.bcper=1; p=box2per(p);
     p.nc.ilam=4;
     p.usrlam=2*sin(phi);
     p.nc.lammax=2*sin(phi);
     while p.file.count==0; p=my_cont(p,10000); p.sol.ds=p.sol.ds/10; end
 
     p=loadp(['Optimization/tr_f1_2,phi=' num2str(phi)],['pt' num2str(p.file.count-2)]); 
     p.nc.lammax=10000;
     p.usrlam=[];
     p.branch=p.branch(:,end);
     p=setfn(p,['Optimization/tr_zeta_2,phi=' num2str(phi)]); 
     p.nc.ilam=2;
     p.sol.ds=-p.sol.ds;
     p.file.count=0; p.file.fcount=1; p.file.bcount=1;
     while p.file.count==0; p=my_cont(p,2100); p.sol.ds=p.sol.ds/10; end
     [OptimalFWHM(h,3),OptimalIndex(h,3)]=FWHM2(1,2099,['Optimization/tr_zeta_2,phi=' num2str(phi)],nx);
     
     p=loadp(['Optimization/tr_zeta_2,phi=' num2str(phi)],['pt' num2str(OptimalIndex(h,3))]);
     p.nc.ilam=5;
     p.branch=p.branch(:,end);
     p=setfn(p,['Optimization/tr_omega_2,phi=' num2str(phi)]);
     p.file.count=0; p.file.fcount=1; p.file.bcount=1; 
     while p.file.count==0; p=my_cont(p,2000); p.sol.ds=p.sol.ds/10; end
     [OptimalFWHM(h,4),OptimalIndex(h,4)]=FWHM2(1,1999,['Optimization/tr_omega_2,phi=' num2str(phi)],nx);
     p=loadp(['Optimization/tr_omega_2,phi=' num2str(phi)],['pt' num2str(OptimalIndex(h,4))]); 
     par(5)=p.u(p.nu+5);
     
     p=[]; p=cLLinit(p,0,2*pi,2*nx,par); p=setfn(p,['Optimization/tr_f1_3,phi=' num2str(phi)]); 
     p.u=[u;v; par];
     p.sw.bcper=1; p=box2per(p);
     p.nc.ilam=4;
     p.usrlam=2*sin(phi);
     p.nc.lammax=2*sin(phi);
     while p.file.count==0; p=my_cont(p,10000); p.sol.ds=p.sol.ds/10; end
 
     p=loadp(['Optimization/tr_f1_3,phi=' num2str(phi)],['pt' num2str(p.file.count-2)]); 
     p.nc.lammax=10000;
     p.usrlam=[];
     p.branch=p.branch(:,end);
     p=setfn(p,['Optimization/tr_zeta_3,phi=' num2str(phi)]); 
     p.nc.ilam=2;
     p.sol.ds=-p.sol.ds;
     p.file.count=0; p.file.fcount=1; p.file.bcount=1;
     while p.file.count==0; p=my_cont(p,2100); p.sol.ds=p.sol.ds/10; end
     [OptimalFWHM(h,5),OptimalIndex(h,5)]=FWHM2(1,2099,['Optimization/tr_zeta_2,phi=' num2str(phi)],nx);
     
     p=loadp(['Optimization/tr_zeta_3,phi=' num2str(phi)],['pt' num2str(OptimalIndex(h,5))]);
     p.nc.ilam=5;
     p.branch=p.branch(:,end);
     p=setfn(p,['Optimization/tr_omega_3,phi=' num2str(phi)]);
     p.file.count=0; p.file.fcount=1; p.file.bcount=1; 
     while p.file.count==0; p=my_cont(p,2000); p.sol.ds=p.sol.ds/10; end
     [OptimalFWHM(h,6),OptimalIndex(h,6)]=FWHM2(1,1999,['Optimization/tr_omega_3,phi=' num2str(phi)],nx);
     p=loadp(['Optimization/tr_omega_3,phi=' num2str(phi)],['pt' num2str(OptimalIndex(h,6))]); 

     C(h+1)=phi;
     EndFWHM(h+1)=OptimalFWHM(h,6);
     EndPCE(h+1)=PCE(p,nx);
     EndBW(h+1)=BW(p,nx);
     EndZeta(h+1)=p.u(p.nu+2);
     EndOmega(h+1)=p.u(p.nu+5);
      
     save('Datenbanken/Datenbank,Algo=2,FWHM=2,Opt=3,width=100,nx=500,dsmax=1e^-2', 'C', 'EndFWHM' , 'EndPCE', 'EndBW', 'OptimalIndex', 'OptimalFWHM', 'EndZeta','EndOmega');
     
     %Alles löschen, da zu kleine Festplatte...
 
    A = dir(['Optimization/tr_f1_1,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_f1_1,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_f1_1,phi=' num2str(phi)])
    A = dir(['Optimization/tr_f1_2,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_f1_2,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_f1_2,phi=' num2str(phi)])
    A = dir(['Optimization/tr_f1_3,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_f1_3,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_f1_3,phi=' num2str(phi)])
    A = dir(['Optimization/tr_zeta_1,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_zeta_1,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_zeta_1,phi=' num2str(phi)])
    A = dir(['Optimization/tr_zeta_2,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_zeta_2,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_zeta_2,phi=' num2str(phi)])
    A = dir(['Optimization/tr_zeta_3,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_zeta_3,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_zeta_3,phi=' num2str(phi)])
    A = dir(['Optimization/tr_omega_1,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_omega_1,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_omega_1,phi=' num2str(phi)])
    A = dir(['Optimization/tr_omega_2,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_omega_2,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_omega_2,phi=' num2str(phi)])
    A = dir(['Optimization/tr_omega_3,phi=' num2str(phi)]);
        for k = 3:length(A)
            delete([ ['Optimization/tr_omega_3,phi=' num2str(phi)]  '/' A(k).name])
        end
    rmdir(['Optimization/tr_omega_3,phi=' num2str(phi)])

   
    
 end

 % Lösche restliche Ordner

    A = dir('Optimization/tr');
        for k = 3:length(A)
            delete([ 'Optimization/tr' '/' A(k).name])
        end
    rmdir('Optimization/tr')
    A = dir('Optimization/b1');
        for k = 3:length(A)
            delete([ 'Optimization/b1' '/' A(k).name])
        end
    rmdir('Optimization/b1')