
width=100;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,Opt=3,width=100,nx=500,dsmax=1e^-2');
EndBW=[EndBW fliplr(EndBW(2:width))]; EndBW=[EndBW EndBW EndBW EndBW EndBW(1)]; EndBW1=EndBW;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,d=25e^-2,Opt=3,width=100,nx=500,dsmax=1e^-2');
EndBW=[EndBW fliplr(EndBW(2:width))]; EndBW=[EndBW EndBW EndBW EndBW EndBW(1)]; EndBW2=EndBW;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,kmax=5e6,f=5,Opt=3,nx=500,dsmax=1e^-2');
EndBW=[EndBW fliplr(EndBW(2:width))]; EndBW=[EndBW EndBW EndBW EndBW EndBW(1)]; EndBW3=EndBW;

C=linspace(0,2*pi,8*width+1);


fig12=figure(12); fig12.WindowState = 'maximized';
plot(C, EndBW1,'.','MarkerSize',20,'Color','blue'); hold on;
plot(C, EndBW2,'.','MarkerSize',20,'Color','red'); hold on;
plot(C, EndBW3,'.','MarkerSize',20,'Color','green'); hold on;
xlim([0, 2*pi]);ylim([0,33]);
xlabel('$\varphi$','Interpreter', 'latex');
ylabel('Comb bandwidth','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[0 pi/4 pi/2 3/4*pi pi 5/4*pi 3/2*pi 7/4*pi 2*pi],'XTickLabel',{'$0$','$\frac{\pi}{4}$','$\frac{\pi}{2}$','$\frac{3\pi}{4}$','$\pi$','$\frac{5\pi}{4}$','$\frac{3\pi}{2}$','$\frac{7\pi}{4}$','$2\pi$'},'XTickLabelRotation',0); 
%set(gca,'YTick',[9 10 11 12]);
annotation(fig12,'textbox',[0.665 0.81 0.05 0.1],'String','(b)',...
    'Interpreter','latex',...
    'FontSize',40,...
    'FitBoxToText','off',...
    'EdgeColor','none');
pbaspect([1 1 1]);