
width=100;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,Opt=3,width=100,nx=500,dsmax=1e^-2');
EndFWHM=[EndFWHM fliplr(EndFWHM(2:width))]; EndFWHM=[EndFWHM EndFWHM EndFWHM EndFWHM EndFWHM(1)]; EndFWHM1=EndFWHM;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,d=25e^-2,Opt=3,width=100,nx=500,dsmax=1e^-2');
EndFWHM=[EndFWHM fliplr(EndFWHM(2:width))]; EndFWHM=[EndFWHM EndFWHM EndFWHM EndFWHM EndFWHM(1)]; EndFWHM2=EndFWHM;

load('Datenbanken/Datenbank,Algo=2,FWHM=2,kmax=5e6,f=5,Opt=3,nx=500,dsmax=1e^-2');
EndFWHM=[EndFWHM fliplr(EndFWHM(2:width))]; EndFWHM=[EndFWHM EndFWHM EndFWHM EndFWHM EndFWHM(1)]; EndFWHM3=EndFWHM;

C=linspace(0,2*pi,8*width+1);
 

fig10=figure(10); fig10.WindowState = 'maximized';
plot(C, EndFWHM1,'.','MarkerSize',20,'Color','blue'); hold on;
plot(C, EndFWHM2,'.','MarkerSize',20,'Color','red'); hold on;
plot(C, EndFWHM3,'.','MarkerSize',20,'Color','green'); hold on;
xlim([0, 2*pi]);ylim([0,0.45]);
xlabel('$\varphi$','Interpreter', 'latex');
ylabel('Full-width at half-maximum','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[0 pi/4 pi/2 3/4*pi pi 5/4*pi 3/2*pi 7/4*pi 2*pi],'XTickLabel',{'$0$','$\frac{\pi}{4}$','$\frac{\pi}{2}$','$\frac{3\pi}{4}$','$\pi$','$\frac{5\pi}{4}$','$\frac{3\pi}{2}$','$\frac{7\pi}{4}$','$2\pi$'}); 
set(gca,'XTickLabelRotation',0);
%set(gca,'YTick',[0.26 0.28 0.3 0.32 0.34]);
annotation(fig10,'textbox',[0.665 0.81 0.05 0.1],'String','(c)',...
    'Interpreter','latex',...
    'FontSize',40,...
    'FitBoxToText','off',...
    'EdgeColor','none');
pbaspect([1 1 1]);