 load('Datenbanken/Datenbank,Algo=2,FWHM=2,d=25e^-2,Opt=3,width=100,nx=500,dsmax=1e^-2.mat');

 fig15=figure(15); fig15.WindowState = 'maximized';
 width=100;
 C=linspace(0,2*pi,8*width+1); 
 nullline=zeros(1,8*width+1); plot(C, nullline,'LineWidth',1,'LineStyle','--','Color','magenta'); hold on;
 plot(pi/4*ones(1,8*width+1), linspace(-0.25,0.3,8*width+1),'LineWidth',1,'LineStyle','--','Color','magenta'); 
 plot(3*pi/4*ones(1,8*width+1), linspace(-0.25,0.3,8*width+1),'LineWidth',1,'LineStyle','--','Color','magenta');
 plot(5*pi/4*ones(1,8*width+1), linspace(-0.25,0.3,8*width+1),'LineWidth',1,'LineStyle','--','Color','magenta');
 plot(7*pi/4*ones(1,8*width+1), linspace(-0.25,0.3,8*width+1),'LineWidth',1,'LineStyle','--','Color','magenta');
 reflectodd1=2*0.25-fliplr(EndOmega); EndOmega=[EndOmega reflectodd1(2:end)]; reflecteven1=fliplr(EndOmega);
 EndOmega=[EndOmega reflecteven1(2:end-1) EndOmega reflecteven1(2:end)];
 plot(C, EndOmega-0.25,'.','MarkerSize',12,'Color','red'); hold on; 

 load('Datenbanken/Datenbank,Algo=2,FWHM=2,kmax=5e6,f=5,Opt=3,nx=500,dsmax=1e^-2');
 C=linspace(0,2*pi,8*width+1); 
 reflectodd1=2*0.1-fliplr(EndOmega); EndOmega=[EndOmega reflectodd1(2:end)]; reflecteven1=fliplr(EndOmega);
 EndOmega=[EndOmega reflecteven1(2:end-1) EndOmega reflecteven1(2:end)];
 plot(C, EndOmega-0.1,'.','MarkerSize',12,'Color','green'); 

 load('Datenbanken/Datenbank,Algo=2,FWHM=2,Opt=3,width=100,nx=500,dsmax=1e^-2');
 C=linspace(0,2*pi,8*width+1); 
 reflectodd1=2*0.1-fliplr(EndOmega); EndOmega=[EndOmega reflectodd1(2:end)]; reflecteven1=fliplr(EndOmega);
 EndOmega=[EndOmega reflecteven1(2:end-1) EndOmega reflecteven1(2:end)];
 plot(C, EndOmega-0.1,'LineWidth',3,'Color','blue','LineStyle','--'); 

 xlim([0,2*pi]); ylim([-0.25,0.3]);
 set(gca,'FontSize',25,'TickLabelInterpreter','latex','XTick',[0 pi/4 pi/2 3/4*pi pi 5/4*pi 3/2*pi 7/4*pi 2*pi],'XTickLabel',{'0','$\frac{\pi}{4}$','$\frac{\pi}{2}$','$\frac{3\pi}{4}$','$\pi$','$\frac{5\pi}{4}$','$\frac{3\pi}{2}$','$\frac{7\pi}{4}$','$2\pi$'},'YTick',[-0.25 -0.1  0 0.1 0.25]);
 xlabel('$\varphi$','Interpreter','latex');
 ylabel('Optimal $\Delta \zeta$','Interpreter','latex');
 set(gca,'XTickLabelRotation',0);
 annotation(fig15,'textbox',...
    [0.922-0.273 0.81756311745335 0.0500000000000001 0.0999999999999999],...
    'String','(c)',...
    'Interpreter','latex',...
    'FontSize',30,...
    'FitBoxToText','off',...
    'EdgeColor','none');
 pbaspect([1 1 1]);
 