%% Generate Data

tic 

if ~isfile('Datenbanken/Datenbank,Algo=2,FWHM=2,Opt=3,width=100,nx=500,dsmax=1e^-2.mat')
    GenerateDataBlueCurves;
end

if ~isfile('Datenbanken/Datenbank,Algo=2,FWHM=2,d=25e^-2,Opt=3,width=100,nx=500,dsmax=1e^-2.mat')
    GenerateDataRedCurves;
end

if ~isfile('Datenbanken/Datenbank,Algo=2,FWHM=2,kmax=5e6,f=5,Opt=3,nx=500,dsmax=1e^-2.mat')
    GenerateDataGreenCurves; 
end

toc

%% Plot Figure 2a
Figure2a;

%% Plot Figure 2b
Figure2b;

%% Plot Figure 2c
Figure2c;

%% Plot Figure 3a
Figure3a;

%% Plot Figure 3b
Figure3b;

%% Plot Figure 3c
Figure3c;