function [PCE]=PCE(p,nx)

     ahat=p.u(1:p.nu/2)+1i*p.u(p.nu/2+1:p.nu);
     e=myfft(ahat);
     E1=abs(e).^2;
     kmax=min(nx-1,200);
     F1=E1(nx+1-kmax:nx+1+kmax);  %Fourier-Koeffizienten von -kmax bis kmax
     PCE=1/(p.u(p.nu+3)^2+p.u(p.nu+4)^2)*(sum(F1)-p.u(p.nu+3)^2/(p.u(p.nu+3)^2+p.u(p.nu+4)^2)*F1(kmax+1)-p.u(p.nu+4)^2/(p.u(p.nu+3)^2+p.u(p.nu+4)^2)*F1(kmax+2));
