function [OptimalFWHM,OptimalIndex,OptimalIndexEnd]=FWHM2kmax(startwert,endwert,verzeichnis,nx,kmax)

 K=zeros(2,endwert+1-startwert);
 
 for j=startwert:endwert
 filename='pt';
 p=loadp(verzeichnis,[filename num2str(j)]);
 A=[p.u(1:p.nu/2);p.u(1)];   %besser so definieren im per. Fall da sonst Spline-Interpolation nahe 2pi größer werden kann als gewünscht...
 B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)];
 D=0:pi/nx:2*pi;
 %kmax=50000000; %geändert von 100000 auf 50000000
 a1=interp1(D,A,(0:kmax)'/kmax*2*pi,'spline');
 a2=interp1(D,B,(0:kmax)'/kmax*2*pi,'spline');
 E=a1+1i*a2;
 m1=max(abs(E).^2);
 m2=min(abs(E).^2);
 halfmax=1/2*(m1+m2);
 if abs(E(1)^2)>=halfmax 
     E=[E(length(E)/2+1/2:length(E));E(1:length(E)/2-1/2)]; %Lösung verschieben, da sonst Janina's Formel nicht mehr passt!
 end
 index1 = find(abs(E).^2 >= halfmax, 1, 'first');
 index2 = find(abs(E).^2 >= halfmax, 1, 'last');
 K(1,j+1-startwert)=j+1-startwert;
 K(2,j+1-startwert)=(index2-index1)*2*pi/kmax;
 end
 
[OptimalFWHM,HelpIndex]=min(K(2,:));
HelpIndexEnd = find(K(2,:)==min(K(2,:)),1,'last');
OptimalIndex=HelpIndex+startwert-1;
OptimalIndexEnd=HelpIndexEnd+startwert-1;
