load('Datenbanken/DatenbankZweiteStudie_d_1e-1_kleinesForcing');
EndPCE1(1:78)=EndPCE; EndBW1(1:78)=EndBW; EndFWHM1(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_1e-1'); 
EndPCE1(79:1079)=EndPCE(1:1001); EndBW1(79:1079)=EndBW(1:1001); EndFWHM1(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_15e-2_kleinesForcing');
EndPCE2(1:78)=EndPCE; EndBW2(1:78)=EndBW; EndFWHM2(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_15e-2')
EndPCE2(79:1079)=EndPCE(1:1001); EndBW2(79:1079)=EndBW(1:1001); EndFWHM2(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_2e-1_kleinesForcing');
EndPCE3(1:78)=EndPCE; EndBW3(1:78)=EndBW; EndFWHM3(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_2e-1');
EndPCE3(79:1079)=EndPCE(1:1001); EndBW3(79:1079)=EndBW(1:1001); EndFWHM3(79:1079)=EndFWHM(1:1001);
load('Datenbanken/DatenbankZweiteStudie_d_25e-2_kleinesForcing');
EndPCE4(1:78)=EndPCE; EndBW4(1:78)=EndBW; EndFWHM4(1:78)=EndFWHM;
load('Datenbanken/DatenbankZweiteStudie_d_25e-2');
EndPCE4(79:1079)=EndPCE(1:1001); EndBW4(79:1079)=EndBW(1:1001); EndFWHM4(79:1079)=EndFWHM(1:1001);
C=linspace(0.0158,15,1079);

lw=4; ms=20; fs=40;

fig12=figure(12); fig12.WindowState = 'maximized';
plot(C, EndFWHM1,'.','LineWidth',lw,'Color','blue'); hold on;
plot(C, EndFWHM2,'.','LineWidth',lw,'Color','green'); hold on;
plot(C, EndFWHM3,'.','LineWidth',lw,'Color','black'); hold on;
plot(C, EndFWHM4,'.','LineWidth',lw,'Color','red'); hold on;
xlim([0, 10]); ylim([0,3.2]);
xlabel('$f$','Interpreter', 'latex');
ylabel('Full-width at half-maximum','Interpreter', 'latex');
set(gca,'FontSize', fs);
set(gca,'TickLabelInterpreter','latex');
annotation(fig12,'textbox',...
    [0.38225 0.265968586387437 0.129729166666666 0.0722513089005243],...
    'String','$d=0.1,...,0.25$',...
    'Interpreter','latex',...
    'FontSize',30,...
    'FitBoxToText','off',...
    'EdgeColor','none');
annotation(fig12,'arrow',[0.358854166666667 0.399479166666667],...
    [0.211565445026178 0.289005235602094],'LineWidth',2,'HeadWidth',20,...
    'HeadLength',20);
annotation(fig12,'textbox',[0.65 0.8 0.05 0.1],'String','(c)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
pbaspect([1 1 1]);

%Lösche alle Punkte mit y-Wert Null
hL = findobj(gcf,'Type','Line');
for ind1 = 1:numel(hL)
    ind2rem = hL(ind1).YData == 0;
    hL(ind1).XData(ind2rem) = [];
    hL(ind1).YData(ind2rem) = [];
end