 close all; format compact; keep pphome; % clean up 
 
 if not(isfolder('Datenbanken')); mkdir('Datenbanken'); end

 width=1000; % Zerlege das Intervall [0,15] in so viele Teile
 C=zeros(1,width+1); 
 EndFWHM=zeros(1,width+1);
 EndPCE=zeros(1,width+1); 
 EndBW=zeros(1,width+1); 
 EndZeta=zeros(1,width+1);
 OptimalIndex=zeros(1,width+1);

 
 for h=0:10:640 % da spter entschieden wurde nur bis f=10 zu gehen statt f=15
     ftot=1.1+13.9/width*h;
     zeta=ftot^2+2; 
     steps=40*ceil(40*ftot-37);
     p=[]; par=[0.15; zeta; ftot/sqrt(2); 0; 0.15; 1];  % Parameter: d,zeta,f0,f1,omega1,epsilon
     nx=500; p=cLLinit(p,0,2*pi,2*nx,par); p=setfn(p,['Optimization_2/tr_f1,ftot=' num2str(ftot)]); 
     f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+ftot/sqrt(2)];
     start=fsolve(f,[0, 0]);
     u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par]; 
     p.sw.bcper=1; p=box2per(p);
     p.nc.ilam=4;
     p.usrlam=ftot/sqrt(2);
     p.nc.lammax=ftot/sqrt(2);
     while p.file.count==0; p=my_cont(p,10000); p.sol.ds=p.sol.ds/10; end
 
     p=loadp(['Optimization_2/tr_f1,ftot=' num2str(ftot)],['pt' num2str(p.file.count-2)]); 
     p.nc.lammax=10000;
     p.usrlam=[];
     p.branch=p.branch(:,end);
     p=setfn(p,['Optimization_2/tr_zeta_1,ftot=' num2str(ftot)]); 
     p.nc.ilam=2;
     p.file.count=0; p.file.fcount=1; p.file.bcount=1; 
     p.sol.ds=-0.05; p.nc.dsmax=0.05; p.nc.dsmin=-0.05;
     while p.file.count==0; p=my_cont(p,steps); p.sol.ds=p.sol.ds/10; end
     
     [OptimalFWHM,OptimalIndex(h+1)]=FWHM2(1,steps-1,['Optimization_2/tr_zeta_1,ftot=' num2str(ftot)],nx);
     
     p=loadp(['Optimization_2/tr_zeta_1,ftot=' num2str(ftot)],['pt' num2str(OptimalIndex(h+1))]); 
  
     C(h+1)=ftot;
     EndFWHM(h+1)=OptimalFWHM;
     EndPCE(h+1)=PCE(p,nx);
     EndBW(h+1)=BW(p,nx);
     EndZeta(h+1)=p.u(p.nu+2);
       
     save('Datenbanken/DatenbankZweiteStudie_d_15e-2', 'C', 'EndFWHM', 'EndPCE', 'EndBW', 'OptimalIndex','EndZeta');
    
     %Alles lschen, da zu kleine Festplatte...
    A = dir(['Optimization_2/tr_f1,ftot=' num2str(ftot)]);
        for k = 3:length(A)
            delete([ ['Optimization_2/tr_f1,ftot=' num2str(ftot)]  '/' A(k).name])
        end
    rmdir(['Optimization_2/tr_f1,ftot=' num2str(ftot)])
    A = dir(['Optimization_2/tr_zeta_1,ftot=' num2str(ftot)]);
        for k = 3:length(A)
            delete([ ['Optimization_2/tr_zeta_1,ftot=' num2str(ftot)]  '/' A(k).name])
        end
    rmdir(['Optimization_2/tr_zeta_1,ftot=' num2str(ftot)])
     
     
    
 end