 close all; format compact; keep pphome; % clean up 


%% f1-Fortsetzung
  zeta=5; ftot=2; phi=pi/4;
  p=[]; par=[0.1; zeta; ftot*cos(phi); 0; 0.2; 1];  % Parameter: d,zeta,f0,f1,omega_1,epsilon
  nx=500; p=cLLinit(p,0,2*pi,2*nx,par); p=setfn(p,'Branches/f1_50per'); 
  f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+ftot*cos(phi)];
  start=fsolve(f,[0, 0]);
  u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par];
  p.sw.bcper=1; p=box2per(p);
  p.nc.ilam=4;
  p.nc.lammax=ftot*sin(phi);
  p.usrlam=ftot*sin(phi);
  p.sol.ds=0.01;
  p=my_cont(p,300);

%% zeta-Fortsetzung
  p=loadp('Branches/f1_50per','pt144');
  p.nc.lammax=10000;
  p.usrlam=3.6;
  p.branch=p.branch(:,end);
  p=setfn(p,'Branches/zeta_50per'); 
  p.nc.ilam=2;
  p.sol.ds=-p.sol.ds;
  p.file.count=0; p.file.fcount=1; p.file.bcount=1;
  p=my_cont(p,1000);

%% Bifurkation per Zusammenkleben zweier Lösungen für das selbe zeta
  p=loadp('Branches/zeta_50per','pt142');
  u1=p.u(1:p.nu/2); v1=p.u(p.nu/2+1:p.nu);
  p=loadp('Branches/zeta_50per','pt186');
  u2=p.u(1:p.nu/2); v2=p.u(p.nu/2+1:p.nu);
  u=[u1(1:250);u2(251:750);u1(751:end)];
  v=[v1(1:250);v2(251:750);v1(751:end)];
  p.u(1:p.nu)=[u;v];
  p=setfn(p,'Branches/b1_50per_glue');
  p.branch=[];
  p.file.count=0; p.file.fcount=1; p.file.bcount=1;
  p=my_cont(p,2000);

%% Berechne optimales Soliton
  [OptimalFWHM2,OptimalIndex2]=FWHM2(1,999,'Branches/b1_50per_glue',nx);
  %Ergebnis: Optimalindex=626 