fig10=figure(10); fig10.WindowState = 'maximized';
load('OptimalIndex');
%Plotte zeta-Kurve
p=loadp('Branches/k1=2/zeta_25per','pt813'); 
p.branch(15,:)=1/(2*pi)*p.branch(15,:); %da L^2-Norm im Paper anders definiert wird
plot(p.branch(8,10:end-100),p.branch(15,10:end-100),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,end-98),p.branch(15,end-98),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-95),p.branch(15,end-95),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-92),p.branch(15,end-92),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,2),p.branch(15,2),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,5),p.branch(15,5),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,8),p.branch(15,8),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
%Plotte Bifurkationskurve
p=loadp('Branches/k1=2/b1_25per_glue','pt1299'); 
p.branch(15,:)=1/(2*pi)*p.branch(15,:);
plot(p.branch(8,10:end),p.branch(15,10:end),'Color',[0.5 0.5 0.5],'LineWidth',4);  hold on;
%Plotte Punkte
p=loadp('Branches/k1=2/zeta_25per','pt813'); p.branch(15,:)=1/(2*pi)*p.branch(15,:);
plot(p.branch(8,171+2),p.branch(15,171+2),'Marker','x','Color',[0 1 0],'MarkerSize',18,'LineWidth',4);
plot(p.branch(8,199+2),p.branch(15,199+2),'Marker','x','Color',[1 0 0],'MarkerSize',18,'LineWidth',4);
plot(3.3, 1/(2*pi)*[uk1_2;vk1_2]'*p.mat.M*[uk1_2;vk1_2],'Marker','x','Color',[0 0 1],'MarkerSize',18,'LineWidth',4);
p=loadp('Branches/k1=2/b1_25per_glue','pt1299'); p.branch(15,:)=1/(2*pi)*p.branch(15,:);
plot(p.branch(8,OptimalIndex1+1),p.branch(15,OptimalIndex1+1),'Marker','x','Color',[0 0 0],'MarkerSize',18,'LineWidth',4);
%%Plotte Annotations
annotation(fig10,'textarrow',[0.691666666666666 0.688020833333333],...
    [0.493193717277488 0.414659685863885],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig10,'textarrow',[0.330729166666666 0.341666666666666],...
    [0.276439790575917 0.3497382198953],'Color',[0 1 0],'String',{'$X$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig10,'textarrow',[0.296875 0.3359375],...
    [0.487958115183247 0.479581151832462],'Color',[1 0 0],'String',{'$Y$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig10,'textarrow',[0.390625 0.35],...
    [0.364397905759162 0.411518324607345],'Color',[0 0 1],'String',{'$Z$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig10,'textbox',[0.71 0.8 0.05 0.1],'String','(a)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([2.95, 5.3]);ylim([0.05,1.7]);
xlabel('$\zeta_0$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[3 4 5]);
title({'$k_1=2$'},'Interpreter','latex');
pbaspect([4 3 1]);