fig11=figure(11); fig11.WindowState = 'maximized';
load('OptimalIndex');
ind1=my_findulamindex('Branches/k1=2/zeta_25per',800,2,1,3.3);
ind2=my_findulamindex('Branches/k1=2/zeta_25per',800,2,2,3.3);
p=loadp('Branches/k1=2/zeta_25per',['pt' num2str(ind1)]);
D=linspace(-pi,pi,p.nu/2+1);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color',[0 1 0]); hold on;
p=loadp('Branches/k1=2/zeta_25per',['pt' num2str(ind2)]);
A=[p.u(1:p.nu/2);p.u(1)]; B=[p.u(p.nu/2+1:p.nu);p.u(p.nu/2+1)]; C=A.^2+B.^2;
plot(D,[C(501:end); C(2:501)],'LineWidth',4,'Color',[1 0 0]); hold on;
annotation(fig11,'textbox',[0.71 0.8 0.05 0.1],'String','(b)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([-pi, pi]); ylim([0,2.4]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[-pi  -pi/2 0 pi/2 pi],'XTickLabel',{'$-\pi$','$-\frac{\pi}{2}$','$0$','$\frac{\pi}{2}$','$\pi$'}); 
xlabel('$s$','Interpreter', 'latex');
ylabel('$|u|^2$','Interpreter', 'latex');
legend({'$X$','$Y$'},'Position',[0.307 0.769 0.049 0.125],'Interpreter','latex');
title({'$k_1=2$'},'Interpreter','latex');
pbaspect([4 3 1]);