fig13=figure(13); fig13.WindowState = 'maximized';
load('OptimalIndex');
%Plotte zeta-Kurve
p=loadp('Branches/k1=3/zeta_25per','pt850'); 
p.branch(15,:)=1/(2*pi)*p.branch(15,:); %da L^2-Norm im Paper anders definiert wird
plot(p.branch(8,10:end-100),p.branch(15,10:end-100),'Color',[0 0.45 0.74],'LineWidth',4);  hold on;
plot(p.branch(8,end-98),p.branch(15,end-98),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-95),p.branch(15,end-95),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,end-92),p.branch(15,end-92),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,2),p.branch(15,2),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,5),p.branch(15,5),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
plot(p.branch(8,8),p.branch(15,8),'Marker','.','Color',[0 0.45 0.74],'MarkerSize',18);
%Plotte Bifurkationskurve
p=loadp('Branches/k1=3/b1_25per_glue','pt2399'); 
p.branch(15,:)=1/(2*pi)*p.branch(15,:);
plot(p.branch(8,10:end),p.branch(15,10:end),'Color',[0.5 0.5 0.5],'LineWidth',4);  hold on;
%Plotte Punkte
p=loadp('Branches/k1=3/zeta_25per','pt813'); p.branch(15,:)=1/(2*pi)*p.branch(15,:);
plot(p.branch(8,192+2),p.branch(15,192+2),'Marker','x','Color',[0 1 0],'MarkerSize',18,'LineWidth',4);
plot(p.branch(8,219+2),p.branch(15,219+2),'Marker','x','Color',[1 0 0],'MarkerSize',18,'LineWidth',4);
plot(3.1, 1/(2*pi)*[uk1_3;vk1_3]'*p.mat.M*[uk1_3;vk1_3],'Marker','x','Color',[0 0 1],'MarkerSize',18,'LineWidth',4);
p=loadp('Branches/k1=3/b1_25per_glue','pt1299'); p.branch(15,:)=1/(2*pi)*p.branch(15,:);
plot(p.branch(8,OptimalIndex2+1),p.branch(15,OptimalIndex2+1),'Marker','x','Color',[0 0 0],'MarkerSize',18,'LineWidth',4);
%%Plotte Annotations
annotation(fig13,'textarrow',[0.4375 0.384375],...
    [0.409424083769634 0.459685863874349],'Color',[1 0 0],'String',{'$Y$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig13,'textarrow',[0.426041666666666 0.385416666666666],...
    [0.321465968586389 0.368586387434572],'Color',[0 0 1],'String',{'$Z$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig13,'textarrow',[0.3515625 0.377604166666667],...
    [0.270157068062827 0.327748691099478],'Color',[0 1 0],'String',{'$X$'},...
    'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig13,'textarrow',[0.70625 0.683854166666666],...
    [0.423036649214661 0.360209424083772],'String',{'$A_1$'},'LineWidth',3,...
    'Interpreter','latex',...
    'HeadWidth',20,...
    'HeadLength',20,...
    'FontSize',48);
annotation(fig13,'textbox',[0.71 0.8 0.05 0.1],'String','(d)',...
    'Interpreter','latex',...
    'FontSize',50,...
    'FitBoxToText','off',...
    'EdgeColor','none');
xlim([2.5, 5.2]);ylim([0.05,2.1]);
xlabel('$\zeta_0$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
set(gca,'XTick',[3 4 5]);
title({'$k_1=3$'},'Interpreter','latex');
pbaspect([4 3 1]);